Jump to content

Search the Community

Showing results for tags 'mono'.



More search options

  • Search By Tags

    Type tags separated by commas.
  • Search By Author

Content Type


Forums

  • General
    • Announcements
    • Emby Premiere Purchase/Subscription Support
    • Feature Requests
    • Tutorials and Guides
  • Emby Server
    • General/Windows
    • Android Server
    • Asustor
    • FreeBSD
    • Linux
    • NetGear ReadyNAS
    • MacOS
    • QNAP
    • Synology
    • TerraMaster NAS
    • Thecus
    • Western Digital
    • DLNA
    • Live TV
  • Emby Apps
    • Amazon Alexa
    • Android Mobile
    • Android TV / Fire TV
    • Emby Theater
    • iOS
    • Apple TV
    • Kodi
    • Raspberry Pi
    • Roku
    • Samsung Smart TV
    • Sony PlayStation
    • LG Smart TV
    • Web App
    • Windows Media Center
    • Plugins
  • Language-specific support
    • Arabic
    • Dutch
    • French
    • German
    • Italian
    • Portuguese
    • Russian
    • Spanish
    • Swedish
  • Community Contributions
    • Ember for Emby
    • Fan Art & Videos
    • Tools and Utilities
    • Web App CSS
  • Other
    • General Discussion
    • Developer API
    • Hardware
    • Media Clubs
    • Legacy Support

Blogs

  • Emby Blog

Calendars

  • Community Calendar

Find results in...

Find results that contain...


Date Created

  • Start

    End


Last Updated

  • Start

    End


Filter by number of...

Found 19 results

  1. I was running emby-server-deb_4.0.2.0_amd64.deb on Ubuntu 18.04.2. I noticed that the server was down. I discovered over 37,000 log files on my machine. All of the embyserver logs were zero bytes in length. There were thousands of "unhandled" log files all of the same length. The ones I checked all had the same info in them. I apt purged 4.0.2.0 and installed emby-server-deb_4.1.1.0_amd64.deb I discovered a "System.NullReferenceException:" that was occuring which I think is coming from Mono. Also, the embyserver log file are still zero bytes in length, but there are not 1000s of them being generated anymore. Here is a link to detailed information of my investigation. http://cdn.kolomona.com/emby/problem01 Any help to get myserver up and running would be greatly appreciated. Thanks
  2. speedingcheetah

    Mono releases??

    I see on: https://github.com/MediaBrowser/Emby/releases What is this new change to small "Mono" release .zips? How does this work compared to before? Where are the full release .zips? Before, there where the full system folder in those .zip that i could just unzip and replace the system folder on my sever to change versions easy....but these new mono versions are far to small to do that. EDIT: I noticed the Pinned post has a different link that gives the full versions...though I still don't know what "mono" versions are though. https://github.com/MediaBrowser/Emby.Releases/releases
  3. NYRANGERS423

    SSL Version Interference

    I am still having issues with the chrome browser. I get a message saying SSL Version Interference. I Attached is the mono version I have installed (5.2.0) I believe to understand that I have this issue because Chrome requires a higher TLS version.
  4. libmono-system-security4.0-cil fails update - unauthenticated packages after apt-get update I get the following error. Any ideas ? user@ubuntu-server:~$ sudo apt-get update Get:1 http://security.ubuntu.com/ubuntu xenial-security InRelease [102 kB] Hit:2 http://ca.archive.ubuntu.com/ubuntu xenial InRelease Get:3 http://ca.archive.ubuntu.com/ubuntu xenial-updates InRelease [102 kB] Ign:4 http://download.opensuse.org/repositories/home:/emby/xUbuntu_16.04 InRelease Get:5 http://ca.archive.ubuntu.com/ubuntu xenial-backports InRelease [102 kB] Get:6 http://download.opensuse.org/repositories/home:/emby/xUbuntu_16.04 Release [1,009 B] Get:7 http://download.opensuse.org/repositories/home:/emby/xUbuntu_16.04 Release.gpg [481 B] Ign:8 http://download.opensuse.org/repositories/home:/emby/xUbuntu_16.04 Release.gpg Hit:9 http://download.opensuse.org/repositories/home:/emby/xUbuntu_16.04 Packages Fetched 308 kB in 0s (391 kB/s) Reading package lists... Done W: GPG error: http://download.opensuse.org/repositories/home:/emby/xUbuntu_16.04 Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 0A506F712A7D8A28 W: The repository 'http://download.opensuse.org/repositories/home:/emby/xUbuntu_16.04 Release' is not signed. N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use. N: See apt-secure(8) manpage for repository creation and user configuration details. user@ubuntu-server:~$
  5. Hello experts, I'm a KODI user, with Emby for KODI addon installed (LibreELEC / KODI 17). I have an external usb disk, which isn't always plugged, plus it's on a remote computer (another room). If this usb disk is plugged on the remote computer, a script mounts it in LibreELEC as a network cifs share (if unplugged, it's unmounted). But, it seems Emby doesn't detect the changes : - it doesn't appear automatically in library sources if i try to add a new folder (seems normal). - if i try to restart Emby (i did a "systemctl restart service.emby.service"), I notice Emby restarts itself, then i see the mountpoint's path created, but without any subfolders from the share. Folders are accessible in LibreELEC after the mount. How can Emby detect changes in mount points ? Thanks for your assistance. Regards,
  6. sstt671

    ANSWERED HTTPS not working on TS-251+

    Hello, I am not able to setup SSL on my emby server hosted on QNAP TS-251+. Server details: QNAP TS-251+ Firmware v4.3.3 Emby v3.2.14 Qmono v4.6.2.7 (64bit) When I supply my own ssl cert with .pfx, I can connect via http but not https. Port forwarding is done correctly. Also, if I do not supply my own cert then connect via https works fine with warning. Here is the log snippet: 2017-05-08 14:46:32.9377 Error App: Error loading cert from /*****/SSLcertificate.pfx *** Error Report *** Version: 3.2.14.0 Command line: /*****/.qpkg/Emby/Emby/MediaBrowser.Server.Mono.exe Operating system: Unix 4.2.8.0 64-Bit OS: True 64-Bit Process: True Mono: 4.6.2 (Stable 4.6.2.7/08fd525 mercredi 23 novembre 2016, 17:45:54 (UTC+0100)) Processor count: 4 Program data path: /*****/.qpkg/Emby/Emby/ProgramData-Server Application directory: /*****/.qpkg/Emby/Emby System.Security.Cryptography.CryptographicException: Unable to decode certificate. ---> System.Security.Cryptography.CryptographicException: Input data cannot be coded as a valid certificate. ---> System.Security.Cryptography.CryptographicException: Input data cannot be coded as a valid certificate. at Mono.Security.X509.X509Certificate.Parse (System.Byte[] data) [0x00041] in <1d0bb82c94e7435eb09324cf5ef20e36>:0 --- End of inner exception stack trace --- Any suggestions? Thanks,
  7. My setup: Running on Debian Jessy under a LXC Container (not docker). It's worked great-ish so far, but now all transcodes to the Shield TV fail. Direct play still works, and transcoding to the browser works as well (it transcodes using different settings to the browser, which could be significant - that transcode log is attached as ChromeTranscodeLog.txt). When I attempt to play a video that needs transcoding, it tries 3 times and fails. The error in the log shows Error ServiceStackHost: Error occured while Processing Request: Unable to write data to the transport connection: The socket has been shut down. I recently upgraded my motherboard, as well as Emby server and mono. Attached is the server and transcode logs. I submitted an Android TV report at 1746 Eastern Time (a few minutes ago). Thank you for any insight you can provide. ServerLog.txt TranscodeLog.txt ChromeTranscodeLog.txt
  8. ytzelf

    Mono 4.4.2.11 - known issues

    Hello everyone, So mono 4.4.2.11 is available on Devian Jessie. Considering last mono update was kind of a mess I'd like to know if any of you have been experiencing issues with this new update before updating? Is everything working fine? Thanks everyone
  9. Hi, over the last couple of weeks I have been receiving regular freezes/lagging whilst watching several TV Shows in a row with the "Play next video automatically" option enabled in the Settings -> Video -> Playback on Kodi. I have always had this setting enabled as it is useful for my kids to automatically watch a few shows in a row without needing to manually start a new episode after the previous one concluded. Up until recently this setting has worked well and as intended without any issues for months. Now randomly (albeit most of the time) after watching an episode or two, Kodi will freeze/become unrepsonsive. This occurs at the end of an episode as it tries to commence playing the next episode. Through trial and error I determined if you leave it long enough ie ~ 15 mins Kodi will eventually display an error on screen stating it failed to open the source file. Obviously this is not preferable and the only way to continue is forcefully close the frozen Kodi app, re-open and start play the next episode manually. My setup: Emby Linux Mono Version 3.1.47.0 Beta (running on Asustor AS 7010T x64 running latest v2.6.2 linux firmware) Emby for Kodi Sync Queue on Emby Server version 1.0.6020.14567 (although I disabled this on the client for testing and the freezing seems to occur both with/without Fast Sync enabled) Emby for Kodi Beta 2.2.12 SPMC Jarvis 16.3.0 (based on Kodi 16.1 for Android) (running on Nvidia Shield Android TV v3.2) Vanilla SPMC install, running standard Confluence skin with only a couple of simple other addins: Oz Weather, HD Homerun & Multicam (view security cameras) plugins Wired 1Gb ethernet network (I have just tested and the problem occurs also occurs on the standard clean install of the App store version of Kodi 16.1 for Android on the same Nvidia Shield. So I am deducing that it is not a SPMC specific problem) In the below log file, the episode I watched concluded around the 21:43:31 mark. Kodi then Lagged/froze/became unresponsive for ~ 15 mins and at the 22:01:17 mark Kodi finally displayed an error onscreen saying failed to open source for next episode. Kodi/SPMC Log: https://www.dropbox.com/s/5mwpokt5vaw856v/spmc.log?dl=0 Thanks for your help and please let me know if you require any additional information.
  10. anderbytes

    Bug - PlayTo in Mono 4.4.0

    Hello, I've noticed that after updating Mono to new stable 4.4.0 I can't play DLNA properly. After some investigation... I found in log that was something related to PlayTo feature (being able to control device via DLNA). After disabling PlayTo, everything works fine. Here is the log. please take a look around time 20:25:50 ps: It is 10% possible that Mono is not the sole cause... because I've also been reinstalling some packages manually (Python-related)... Just informing...
  11. With the MS release of .Net Core, will that long term replace the Emby dependency on Mono for *nix/NAS deployments or are there features in Mono that are required that are not available in .Net Core? Just curious. Thanks, T
  12. Hi all, I tried to install the latest Emby_3.0.5871.0_x86.qpkg in my TS-453mini, but it failed complaining that something called 'Mono' was missing ? I searched for 'Mono' in the Appcenter but all found was two Developer Tools that seemed identical but for some reason had different version numbers. One was 2.11.2 and the other was 4.2.1.0 ?!? I wasn't expecting to find a developer Tool - let alone two? What is this thing called 'mono' and where do I find it? Can it be uninstalled once loaded (if the attempt fail)?
  13. Hi, it seems with the last couple of betas of Emby for Kodi my Kodi library now no longer auto/background updates/syncs. My Nvidia Shield is always left on with Kodi running (sleep/shutdown disabled). My NAS is also always on and media files are regularly auto copied to the monitored Library folders within Emby. It was previously working in the past with the Kodi library updating almost instantly when Emby was updated with new content. The Emby web interface does appear to update in real time whenever new files are added, but Kodi now no longer auto/background updates/syncs the library - unless a user initiated manual sync or Kodi itself is manually restarted. Whenever a new Beta version of Emby for Kodi is updated, I always do a manual entire library reset on Kodi to ensure the local database has the newest updates. As this issue recently started happening, I just performed a complete uninstall of Kodi on my Nvidia Shield and re-installed and re-setup Emby for Kodi Beta on Kodi Jarvis 16.0 Beta 5 (in case something was corrupted on my setup). Unfortunately this did not resolve the issue as auto/background library updates/syncing still are not occurring. My setup: Emby Linux Mono Version 3.0.5785.0 (running on Asustor AS 7010T x64 running latest v2.5.1 linux firmware) Emby for Kodi Sync Queue on Emby Server version 1.0.5782.13378 Emby for Kodi Beta 1.1.72 Kodi Jarvis 16.0 Beta 5 for Android (running on Nvidia Shield Android TV v2.1) Vanilla Kodi install, running standard Confluence skin with only a couple of simple other addins: Oz Weather, HD Homerun & Multicam (view security cameras) plugins Wired ethernet network The below two media files were recently updated in the Emby Library. They appeared on the Emby web interface immediately, however they did not auto/background update/sync to the Kodi library until I manually restarted Kodi and it performed its standard startup scan: The Fifth Element (1997).m2ts was changed around 2016-01-15 10:39 Heroes Reborn_S01E12_Company Woman.mkv was changed around 2016-01-15 12:05 Logs: No auto/background library updates/sync Kodi log during the time these files were added: http://xbmclogs.com/prvxsh9na Emby Server Log during the time these files were added: https://www.dropbox.com/s/hjjrakm70brk3w5/server-63588426305.txt?dl=0 After Kodi restart Logs: Kodi manually restarted and Emby for Kodi Beta performed the startup scan & then detected new these files: http://xbmclogs.com/p0obfwkhg Emby Server Log during the time Kodi was restarted and startup scan ran: https://www.dropbox.com/s/qo4js18nf9evbur/server-63588426305-post-restart.txt?dl=0 Thanks for your help and let me know if you need any further information.
  14. I started my configuration in a TS-651 with 1GB of RAM. I have around 2000 movies and shows so the response time was rather slow. I upgraded the NAS and added 8GB of RAM. Things went much better after that but noticed that the memory utilization was around 1GB tops so started to check how to assign more memory to the Emby Server processes assuming that it would work better. Found the following link in the Linux forum: http://emby.media/community/index.php?/topic/24529-systemd-supervisor-scripts-and-how-to-make-emby-faster/ Since QNAP runs in a flavor of Linux thought that it could be helpful but couldn't figure it out completely. Anybody knows how to tweak the parameters: MONO_THREADS_PER_CPU and MONO_GC_PARAMS in the post above the recommended values are: environment=MONO_THREADS_PER_CPU="500",MONO_GC_PARAMS="nursery-size=512m" I was thinking on putting them in: /share/CACHEDEV1_DATA/.qpkg/MediaBrowser/MediaBrowser.sh but wanted to check with the forum first. Thanks in advance.
  15. dmartinez7500

    Issues installing emby-server due to missing

    In the process of installing Emby on Ubuntu Server 14.10, following the process outlined here. I've been able to get the repo setup, although I needed to manually add the proper keys, get the repo cache updated, and install the listed dependencies, but when I go to install the actual emby-server application, it gives me the following: david@plexserver:~$ sudo apt-get install emby-server Reading package lists... Done Building dependency tree Reading state information... Done Some packages could not be installed. This may mean that you have requested an impossible situation or if you are using the unstable distribution that some required packages have not yet been created or been moved out of Incoming. The following information may help to resolve the situation: The following packages have unmet dependencies: emby-server : Depends: mono-devel (>= 1.0) but it is not going to be installed Depends: lsb-base (>= 4.1+Debian11ubuntu7) but 4.1+Debian11ubuntu6 is to be installed E: Unable to correct problems, you have held broken packages. I did some investigating, and tried to manually install both mono-devel and lsb-base. Those outputs are below: david@plexserver:~$ sudo apt-get install lsb-base Reading package lists... Done Building dependency tree Reading state information... Done lsb-base is already the newest version. 0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded. david@plexserver:~$ sudo apt-get install lsb-base Reading package lists... Done Building dependency tree Reading state information... Done lsb-base is already the newest version. 0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded. david@plexserver:~$ sudo apt-get install mono-devel Reading package lists... Done Building dependency tree Reading state information... Done Some packages could not be installed. This may mean that you have requested an impossible situation or if you are using the unstable distribution that some required packages have not yet been created or been moved out of Incoming. The following information may help to resolve the situation: The following packages have unmet dependencies: mono-devel : Depends: libglib2.0-0 (>= 2.42.0) but 2.40.2-0ubuntu1 is to be installed E: Unable to correct problems, you have held broken packages. Not sure what exactly could be causing this, but I do have mono previously installed, as I'm using Sonarr for grabbing TV Shows. Has anybody run into something similar? EDIT: Sorry about the weird title. Wasn't paying attention.
  16. davideps

    ANSWERED Emby on QNAP TS-131

    Hello, I am new to NAS devices and just setup a QNAP TS-131 at home. I would like to install Emby in order to use the device with my Roku box. From the Emby download instructions, I need to first install Mono 3.1 or 4.0. This is not available as an add-on through the interface of the device. Moreover, the only version of Mono I see ready for use from QNAP is version 2.1 and compiled for x86. My device has an ARM processor. I would appreciate any pointers as to how to proceed. Thank you. -david
  17. Here is a pretty new issue for me while I've been using Media Browser pretty smoothly over the last year. After the server starts up, I can play successfuly a video once. On a second attempt nothing won't play for any media file, i.e. stuck with a black screen and the video duration is undetermined "--:--". I can still navigate in the library though. I'm running Mediabrowser in a docker container (from the official repo). Mediabrowser version is v3.0.5518.7 and Docker is v1.5.0. Docker logs after the issue shows up are the following: --> start.sh script running... Error: [Errno 2] No such file or directory: '/etc/circus.d/MediaBrowser.ini.tpl' ---> Starting circus... 2015-03-03 15:56:25 circus[1] [INFO] Starting master on pid 1 2015-03-03 15:56:25 circus[1] [INFO] Arbiter now waiting for commands 2015-03-03 15:56:25 circus[1] [INFO] MediaBrowser started Stacktrace: Native stacktrace: mono() [0x4b73d8] mono() [0x50f13b] mono() [0x423d22] /lib/x86_64-linux-gnu/libpthread.so.0(+0x10340) [0x7f81170ec340] mono() [0x5d63d8] mono() [0x5d93d2] mono() [0x5dd6f3] mono() [0x5de3b9] mono() [0x5f461d] mono() [0x5f4914] [0x400f26b9] Debug info from gdb: ================================================================= Got a SIGSEGV while executing native code. This usually indicates a fatal error in the mono runtime or one of the native libraries used by your application. ================================================================= Stacktrace: Native stacktrace: mono() [0x4b73d8] mono() [0x50f13b] mono() [0x423d22] /lib/x86_64-linux-gnu/libpthread.so.0(+0x10340) [0x7fc4f14c8340] mono() [0x4b3436] mono() [0x4b6696] mono() [0x50e0e1] [0x401b7058] Debug info from gdb: ================================================================= Got a SIGSEGV while executing native code. This usually indicates a fatal error in the mono runtime or one of the native libraries used by your application. ================================================================= It sounds to be a mono issue. I would be very happy if any of you guys have an insight.
  18. Chris2

    Linux Server

    Hi Luke, Think this topic got lost in the move, but there was talk about some compiling for linux, using mono. Have you had any sucess?
  19. thefirstofthe300

    Replacing Libgdiplus

    I was doing some package improvements and had a question in the AUR about why the dependency tree for MBS was so large. One user pointed out that he had to install the display server in order to satisfy all of the dependencies of libgdiplus. Obviously, those of us running headless servers (me included) don't need the display server installed, so I was wondering if there was any movement on this topic of replacing libgdiplus.
×
×
  • Create New...